Support for version 4.x (and previous) is discontinued

END OF SUPPORT FOR VERSION 3.x and 4.x

Starting with December 31st, 2015 Backup4all version 4.x, 3.x (and previous) are no longer supported. If you are still using version 3.x or 4.x we highly recommend an upgrade to the latest version. This will ensure you get the latest updates and email support.

Furthermore, Backup4all 4.x and previous versions were not tested with Windows 10 and might not be compatible. If you plan to use Windows 10 you must upgrade to the latest version of Backup4all.

If you own a previous version and want to test the latest Backup4all version, you can install a 30 day free trial here: Download Backup4all.

When you’re ready to make the switch, just import the backup jobs from the older version and purchase an upgrade. Prices for upgrades vary depending on what license you currently own, but you can quickly check the pricing by entering your key here: Upgrade Backup4all


Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>